public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-video/rage/
@ 2022-01-05  7:17 Joonas Niilola
  0 siblings, 0 replies; 4+ messages in thread
From: Joonas Niilola @ 2022-01-05  7:17 UTC (permalink / raw
  To: gentoo-commits

commit:     83511f8f92bfd8c280d091de710a335fe15caeac
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  5 06:58:41 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Jan  5 07:17:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83511f8f

media-video/rage: initial import

 - Rage is a video and audio player written using the Enlightenment
   Foundation Libraries (EFL) with some interesting features.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-video/rage/Manifest          |  1 +
 media-video/rage/metadata.xml      |  8 ++++++++
 media-video/rage/rage-0.4.0.ebuild | 26 ++++++++++++++++++++++++++
 3 files changed, 35 insertions(+)

diff --git a/media-video/rage/Manifest b/media-video/rage/Manifest
new file mode 100644
index 000000000000..b17b5c38aa17
--- /dev/null
+++ b/media-video/rage/Manifest
@@ -0,0 +1 @@
+DIST rage-0.4.0.tar.xz 218656 BLAKE2B 139c8ae48750c72acab5f20fbdef2e9eca6c7c55022c301059aea260e89747a608bf4e3cb97b9a3d3389b0c5fd08d13372b86a504cea53d9be2081bdaf3f13f8 SHA512 c834a4e9b7d89452dcd82e7963b49dd4bb670b495fb0e28b3d9cfad77dec024d1d1787e27d47f8ed9c35a9a824053b2a773747af32f1407064082a4bfd0edc83

diff --git a/media-video/rage/metadata.xml b/media-video/rage/metadata.xml
new file mode 100644
index 000000000000..a1fbf3c0c993
--- /dev/null
+++ b/media-video/rage/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>juippis@gentoo.org</email>
+    <name>Joonas Niilola</name>
+  </maintainer>
+</pkgmetadata>

diff --git a/media-video/rage/rage-0.4.0.ebuild b/media-video/rage/rage-0.4.0.ebuild
new file mode 100644
index 000000000000..c235a9bd0a42
--- /dev/null
+++ b/media-video/rage/rage-0.4.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson xdg
+
+DESCRIPTION="Video and audio player written using EFL"
+HOMEPAGE="https://www.enlightenment.org/about-rage"
+SRC_URI="https://download.enlightenment.org/rel/apps/rage/${P}.tar.xz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="|| ( dev-libs/efl[X,opengl] dev-libs/efl[wayland] )
+	>=dev-libs/efl-1.26.1[gstreamer]
+	media-plugins/gst-plugins-meta[ffmpeg]"
+RDEPEND="${DEPEND}"
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	elog "Control your media file support with media-plugins/gst-plugins-meta[*]"
+	elog "and/or media-video/ffmpeg[*]"
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/rage/
@ 2022-01-07  7:37 Joonas Niilola
  0 siblings, 0 replies; 4+ messages in thread
From: Joonas Niilola @ 2022-01-07  7:37 UTC (permalink / raw
  To: gentoo-commits

commit:     d2b5b1fe675a829107c3741304f8617797571600
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  7 06:41:40 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan  7 07:37:02 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2b5b1fe

media-video/rage: update efl's opengl-gles2 logic

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-video/rage/{rage-0.4.0.ebuild => rage-0.4.0-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/rage/rage-0.4.0.ebuild b/media-video/rage/rage-0.4.0-r1.ebuild
similarity index 90%
rename from media-video/rage/rage-0.4.0.ebuild
rename to media-video/rage/rage-0.4.0-r1.ebuild
index c235a9bd0a42..b3e1a1ba5b0f 100644
--- a/media-video/rage/rage-0.4.0.ebuild
+++ b/media-video/rage/rage-0.4.0-r1.ebuild
@@ -13,7 +13,7 @@ LICENSE="BSD-2"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-DEPEND="|| ( dev-libs/efl[X,opengl] dev-libs/efl[wayland] )
+DEPEND="|| ( dev-libs/efl[X] dev-libs/efl[wayland] )
 	>=dev-libs/efl-1.26.1[gstreamer]
 	media-plugins/gst-plugins-meta[ffmpeg]"
 RDEPEND="${DEPEND}"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/rage/
@ 2022-03-14 16:26 Joonas Niilola
  0 siblings, 0 replies; 4+ messages in thread
From: Joonas Niilola @ 2022-03-14 16:26 UTC (permalink / raw
  To: gentoo-commits

commit:     d98c49f436824f675f0ccf25c6771a0ad6b3f276
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 14 16:20:54 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 16:26:24 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d98c49f4

media-video/rage: stabilize 0.4.0-r1 for amd64

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-video/rage/rage-0.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/rage/rage-0.4.0-r1.ebuild b/media-video/rage/rage-0.4.0-r1.ebuild
index e818f8f9669c..d4a770f628dc 100644
--- a/media-video/rage/rage-0.4.0-r1.ebuild
+++ b/media-video/rage/rage-0.4.0-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://download.enlightenment.org/rel/apps/rage/${P}.tar.xz"
 
 LICENSE="BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 x86"
+KEYWORDS="amd64 x86"
 
 DEPEND="|| ( dev-libs/efl[X] dev-libs/efl[wayland] )
 	>=dev-libs/efl-1.26.1[gstreamer]


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-video/rage/
@ 2022-03-14 16:26 Joonas Niilola
  0 siblings, 0 replies; 4+ messages in thread
From: Joonas Niilola @ 2022-03-14 16:26 UTC (permalink / raw
  To: gentoo-commits

commit:     a57b380b9f7805dbd14b16d7470e93e9796f7e95
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 14 16:20:41 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Mar 14 16:26:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a57b380b

media-video/rage: stabilize 0.4.0-r1 for x86

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-video/rage/rage-0.4.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-video/rage/rage-0.4.0-r1.ebuild b/media-video/rage/rage-0.4.0-r1.ebuild
index b3e1a1ba5b0f..e818f8f9669c 100644
--- a/media-video/rage/rage-0.4.0-r1.ebuild
+++ b/media-video/rage/rage-0.4.0-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://download.enlightenment.org/rel/apps/rage/${P}.tar.xz"
 
 LICENSE="BSD-2"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
 
 DEPEND="|| ( dev-libs/efl[X] dev-libs/efl[wayland] )
 	>=dev-libs/efl-1.26.1[gstreamer]


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-03-14 16:31 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-03-14 16:26 [gentoo-commits] repo/gentoo:master commit in: media-video/rage/ Joonas Niilola
  -- strict thread matches above, loose matches on Subject: below --
2022-03-14 16:26 Joonas Niilola
2022-01-07  7:37 Joonas Niilola
2022-01-05  7:17 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox